Package jnr.constants.platform.freebsd

# Enum Sock

java.lang.Object
java.lang.Enum<Sock>
jnr.constants.platform.freebsd.Sock

All Implemented Interfaces:
  `Serializable`, `Comparable<Sock>`, `java.lang.constant.Constable`, `Constant`

public enum Sock extends Enum<Sock> implements Constant

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`SOCK_DGRAM`
`SOCK_MAXADDRLEN`
`SOCK_RAW`
`SOCK_RDM`
`SOCK_SEQPACKET`
`SOCK_STREAM`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final long`
`MAX_VALUE`
`static final long`
`MIN_VALUE`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`defined()`
`final int`
`intValue()`
`final long`
`longValue()`
`final String`
`toString()`
`final int`
`value()`
`static Sock`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Sock[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface jnr.constants.Constant

`name`

## Enum Constant Details

### SOCK_STREAM

public static final Sock SOCK_STREAM

### SOCK_DGRAM

public static final Sock SOCK_DGRAM

### SOCK_RAW

public static final Sock SOCK_RAW

### SOCK_RDM

public static final Sock SOCK_RDM

### SOCK_SEQPACKET

public static final Sock SOCK_SEQPACKET

### SOCK_MAXADDRLEN

public static final Sock SOCK_MAXADDRLEN

## Field Details

### MIN_VALUE

public static final long MIN_VALUE

See Also:
  - Constant Field Values

### MAX_VALUE

public static final long MAX_VALUE

See Also:
  - Constant Field Values

## Method Details

### values

public static Sock[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Sock valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public final String toString()

Overrides:
  `toString` in class `Enum<Sock>`

### value

public final int value()

### intValue

public final int intValue()

Specified by:
  `intValue` in interface `Constant`

### longValue

public final long longValue()

Specified by:
  `longValue` in interface `Constant`

### defined

public final boolean defined()

Specified by:
  `defined` in interface `Constant`